## Overview
The purpose of this mod is to add some level of scaling to (what I believe are) under performing items that don't really scale with the player.
At least that's what it used to be, now I sorta just change things that I think are underwhelming or never hear anything positive about it.

Configs are provided for those that wish to tweak or disable most changes made by this mod.

## Item Changes

### Bison Steak

```
- Health increase is boosted further by level similar to Cautious Slug's health regen.
- Killing an enemy grants a health regen increase for 3 seconds (+3 per stack).
```

_While Bison Steak isn't a terrible item and is generally seen as being better than its predecessor Fresh Meat, it suffers from being weaker than alternatives in its tier (Tougher Times, Repulsion Armor and Personal Shield Generator) and also doesn't scale or have any good synergies. These two changes help keep the item relevant throughout the run and offer something its alternatives don't have._

### Topaz Brooch

```
- Gives 14 barrier on kill instead of 15.
- Now gives additional barrier equal to 0.5%(+0.5% per stack) of the users max health.
```

_Topaz Brooch is already considered a good item, this simply makes it more usable on high health builds/characters without the need for a Forgive Me Please or excessive stacking._

### Hunter's Harpoon

```
- On kill effect lasts for 1.5(+0.75 per stack) seconds, instead of 1(+0.5 per stack) seconds.
- On kill effect also increases primary and secondary cooldown rate by +125%, fading the same as the speed boost.
```
_The buff now lasts longer to make the speed boost less jaring and because the general value of stacking felt underwhelming. The buff also increases primary and secondary skill cooldown rate as I feel the item doesn't do enough to justify being a Green._

### Infusion

```
- Increases level instead of health.
- By default a single Infusion can give up to 1 level.
- Killing Elite and Boss type enemies gives more samples to reduce the need for grinding.
- If a minion has infusions and kills an enemy it sends the samples to the owner instead if they have infusions.
- When a minion spawns and has infusions it gets the same amount of samples as the owner.
```

_With the changes I've made to the Bison Steak this is pretty redundant. This change mainly offers something Bison Steak doesn't provide. While this mostly increases health, damage and regen, some characters, skills and items scale with level so this can boost those further._

### Leeching Seed

**Buff**

```
- Gives an additional 0.5 healing regardless of proc coefficient. (Basically Withor's LeechingSeedBuff)
```

**Rework**

```
- Heals 1.5 (+1.5 per stack) when dealing damage with a DoT.
- Attacks have a 25% chance to apply a DoT called "Leech" for 5s (+2.5s per stack).
- Leech does not stack.
- Anyone that attacks enemies with Leech will heal for 4% of the damage dealt.
```

_Leeching Seed is often compared to Harvester's Scythe and in most cases the later is considered better. Both these changes are designed to give it a use case that Harvester's Scythe doesn't share._

### Old War Stealthkit

```
- Cooldown now stacks similar to Genesis loop. (This is a nerf.)
- Has its own unique buff called "Stealthed" instead of sharing with Bandit's Smokebomb.
- While stealthed you gain all the properties of being cloaked but are also in a constant state of being out of combat and danger.
```

_This item wasn't talked much outside of a select few synergies before Anniversary Update, and now I never hear of it. This buff is a massive change that gives it powerful synergies with a select few items and builds, it still requires you to put yourself near death to activate which keeps it in check._

### Squid Polyp

````
- Stacking now increases the lifespan of the Squid Polyp. (+3 seconds per stack)
- Stacking increases the armor of the Squid Polyp. (+10 per stack)
- The Squid Polyp's attack now applies Tar.
- Squid Polyps now have their healing disabled if they haven't been active for a while. (25-27 seconds)
````

_Squid Polyp is either an automatic scrap or specifically built around, in the latter's case you typically need to dedicate all your item choices to it. The Tar debuff is mostly for Death Mark synergy, but it's also useful for keeping enemies within range for longer. The lifespan and armor stacking bonuses give the item more value when stacking which is where I believe the item suffers most. Disabling healing for Squids that have been inactive for too long is for those situations where you've hit the minion cap and you have ten Squid Polyps chilling on the other side of the map._

### War Horn

```
- Now gives +60%(+15% per stack) attack speed, instead of 70% attack speed.
- Duration lasts 6(+2 per stack) seconds, instead of 8(+4 per stack) seconds.
```

_War Horn is pretty good for a green item but once you have full uptime further stacks don't mean much. This change makes getting extra less of a dead pickup._

### Aegis

```
- Excess health regen now counts towards barrier gain.
- Gives 20(+20 per stack) armor.
```

_Aegis can be difficult to use on shorter runs but is otherwise powerful. The extra armor makes it always do something. Excess regen becoming barrier can help kick-start builds that are a bit short on healing._

### Ben's Raincoat

```
- Now gives 2(+1 per stack) debuff blocks, instead of 1(+1 per stack).
- Cooldown now begins when a debuff is blocked, instead of when all stacks of the block is consumed.
- Cooldown now lasts 6 seconds, instead of 5 seconds.
```

_Ben's Raincoat is more thematically fitting but unfortunately the nerfs were overkill. The biggest offender is that the cooldown only starts when all stacks of its buff is exhausted making the item potentially awkward to use and lowering its stacking value. This buff aims to fix theses two issues._

### Defense Nucleus

**Shared Changes**

```
- Alpha Construct Ally now detonate on death, dealing 450% damage in a 12m radius.
- The projectile that spawns the construct will now replace and kill excess constructs instead of spawning nothing.
- Alpha Construct Ally are now flagged as Mechanical, meaning they're affected by Spare Drone Parts and Captain's passive.
```

**Buff**

```
- Removed "Elite" requirement for kills.
- Limited to 4 Alpha Constructs at all times.
- The summoned constructs can proc the item for you if they kill an enemy.
- Stacking now increases the health and attack speed of the summons.
```

**Rework**

```
- Activates when using equipment.
- Summons 4 Alpha Constructs on activation.
- Gives a temporary Xi Construct projectile shield on activation.
- Stacking increases the health and attack speed of the summons and duration of the shield.
```

_This item has an okay effect, terrible stacking that likely gets hard capped by the ally limit and to top it off you need to kill an elite for it to even proc. This buff/rework should hopefully make the item much more exciting to find. As you may have noticed I've aimed at improving the quality of the summons rather than the quantity, this is to avoid hitting the ally cap and for late game performance._

### Titanic Knurl

**Buff**

```
- Health increase is boosted further by level.
```

_Because Bison Steak was buffed like this it only makes sense for Titanic Knurl to get the same buff._

**Rework**

```
- Every 6 seconds a Stone Fist attacks an enemy within 50 metres for 700% damage.
- Stacking increases the cooldown rate by +15% and damage by +350%.
```

_While Titanic Knurl isn't bad it's effect is boring compared to all other boss items. This rework is made to mimic the Stone Titan's Stone Fist ability, which should make it feel more like a boss item than before. The current values may be a tad on the overpowered side at the moment, especially with Engineer._

## Known Issues

- None at the moment.

## Change Log

**1.10.2**

```
Infusion:
- Added "Tracker" configuration, adds a cosmetic buff to help track samples.

Ben's Raincoat:
- Added changes for Ben's Raincoat.
```

**1.10.1**

```
- Quick fix for the latest patch.
```

**1.10.0**

```
Hunter's Harpoon:
- Added changes for Hunter's Harpoon.

Squid Polyp:
- Went back and made it use a new SkillState to apply the Tar debuff. (I feel this is be better for performance and compatability.)
- Fixed a few random bugs from the previous update's changes.
```

**1.9.0**

_I've made some big changes to how the mod handles the Squid Polyps, please bring any errors or compatibility issues to my attention._

```
Aegis:
- Added changes for Aegis.

War Horn:
- Added changes for War Horn.

Infusion:
- Updated the flavour description to be less confusing.

Squid Polyp:
- Now takes advantage of IL instead of checking and modifying Squid Polyps that spawn in.
- No longer creates a whole new SkillState to modify its primary skill.
- Now changes the damageType on RoR2.Orbs.SquidOrb.Begin instead.
```

**1.8.0**

```
Old War Stealthkit:
- Added changes for Old War Stealthkit.
```

**1.7.3**

_This update is mainly an attempt to resolve Alpha Construct Ally spawning beyond the deployable limit. I also suddenly wanted to try my hand at adding item displays, so Alpha Constructs are now flagged as Mechanical, have fun!_

```
Bison Steak:
- Added "Stack Buff Duration" configuration, controls how long the Regen buff lasts from additional stacks.
- Also renamed a few of the other configurations, go check your config.

Defense Nucleus:
- Now has a brief cooldown for the on kill effect.
- The summoned constructs will now replace the nearest construct within 6m before trying to replace the oldest.
- Changed "Base Attack Speed" default value. (5 -> 10)

Defense Nucleus Rework:
- Changed "Base Attack Speed" default value. (5 -> 10)

Alpha Construct Ally:
- Added "Is Mechanical" configuration, makes it have the Mechanical flag, allowing it to get boosted by Spare Drone Parts and Captain's passive.
- Added "Enable Modded Displays" configuration, enables extra item displays for Spare Drone Parts.
```

**1.7.2**

_This update changes how the Infusion changes work. The item on its own is now weaker, but has better synergy with items that scale with level._

```
Infusion:
- Directly increases level instead of using level stats.
- Default config values have been changed to account for this.
- Changed "Max Stacks" default value. (200 -> 100)
- Changed "Kill Stack" default value. (2 -> 1)
- Changed "Champion Stack" default value. (8 -> 5)
- Changed "Elite Bonus" defaul value. (3 -> 2)
```

Older changes can be found [here](https://github.com/kking117/RoR2-kking117Mods/wiki/%5BCHANGELOG%5D-FlatItemBuff).

## Credits

* **duckduckgreyduck** - Their GreenAlienHead mod was used as reference for some IL code.
* **Risk of Thunder's R2Wiki** - Wouldn't have been able to understand the above mod without this.
* **Hopoo Games** - For leaving Bison Steak in its current state.

## Contact

You can find me as kking117#0370 on Discord.